#
# TODO:
#	- add libvhdi bcond and support
#	- add libvmdk bcond and support
#
# Conditional build:
%bcond_without	aff		# Without Advanced Forensic Format (aff) support
%bcond_with	java		# Build Java bindings and jar file
#
Summary:	The Sleuth Kit - an forensic toolkit for analyzing file systems and disks
Summary(pl.UTF-8):	The Sleuth Kit - zestaw narzędzi wspomagających analizę systemów plików
Name:		sleuthkit
Version:	4.9.0
Release:	1
License:	IBM Public License/Common Public License
Group:		Applications
Source0:	https://github.com/sleuthkit/sleuthkit/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	01f04162de36cd23038a9d8f75b1c48a
Patch0:		libewf.patch
URL:		http://www.sleuthkit.org/sleuthkit/
%{?with_aff:BuildRequires:	afflib-devel}
#BuildRequires:	autoconf
#BuildRequires:	automake
BuildRequires:	libewf-devel
BuildRequires:	libstdc++-devel
#BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	perl-base
BuildRequires:	sed >= 4.0
Requires:	coreutils
Requires:	file
# XXX: openssl library (should be autodetected) or openssl-tools or perl-OpenSSL-??? ?
Requires:	openssl
Requires:	perl-Date-Manip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Sleuth Kit is an open source forensic toolkit for analyzing
Microsoft and UNIX file systems and disks. The Sleuth Kit enables
investigators to identify and recover evidence from images acquired
during incident response or from live systems. The Sleuth Kit is open
source, which allows investigators to verify the actions of the tool
or customize it to specific needs.

It is recommended that these command line tools can be used with the
Autopsy Forensic Browser. Autopsy,
(<http://www.sleuthkit.org/autopsy/>), is a graphical interface to the
tools of The Sleuth Kit and automates many of the procedures and
provides features such as image searching and MD5 image integrity
checks.

As with any investigation tool, any results found with The Sleuth Kit
should be be recreated with a second tool to verify the data.

%description -l pl.UTF-8
The Sleuth Kit to mający otwarte źródła zestaw narzędzi do analizy
systemów plików i dysków z systemami Microsoftu i uniksowymi. The
Sleuth Kit umożliwia badającym zidentyfikować i odtworzyć dowody
uzyskane podczas reakcji na incydent lub z żywych systemów. The Sleuth
Kit ma otwarte źródła, co pozwala badającym zweryfikować działania
narzędzia lub przystosować je do określonych potrzeb.

Zalecane jest używanie tych narzędzi działających z linii poleceń wraz
z przeglądarką Autopsy (<http://www.sleuthkit.org/autopsy/>), będącą
graficznym interfejsem do narzędzi z The Sleuth Kit i automatyzującą
wiele procedur oraz udostępniającą możliwości takie jak przeszukiwanie
obrazów i sprawdzanie integralności obrazów za pomocą sum MD5.

Podobnie jak przy dowolnym narzędziu badawczym wszelkie wyniki
uzyskane przy użyciu tego zestawu powinny być odtworzone przy użyciu
drugiego narzędzia dla zweryfikowania wiarygodności.

%package libs
Summary:	Sleuthkit shared library
Summary(pl.UTF-8):	Biblioteka współdzielona Sleuthkita
Group:		Libraries

%description libs
Sleuthkit shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona Sleuthkita.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static %{name} library.

%description static -l pl.UTF-8
Statyczna biblioteka %{name}.

%package java
Summary:	Java bindings for sleuthkit
Summary(pl.UTF-8):	Dowiązania Javy do sleuthkit
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}

%description java
Java bindings for sleuthkit.

%description java -l pl.UTF-8
Dowiązania Javy do sleuthkit.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's/-static//' {samples,tests,tools/*tools}/Makefile.in

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_aff:--without-afflib} \
	%{!?with_java:--disable-java}

%{__sed} -i -e 's/^\(LIBS = -lewf\)/\1 -ldl -lpthread/' {tools/autotools,tsk}/Makefile

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
     DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc API-CHANGES.txt ChangeLog.txt NEWS.txt README.md licenses/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/tsk
%{_mandir}/man1/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtsk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtsk.so.19
%if %{with java}
%attr(755,root,root) %{_libdir}/libtsk_jni.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtsk_jni.so.0
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtsk.so
%{_libdir}/libtsk.la
%if %{with java}
%attr(755,root,root) %{_libdir}/libtsk_jni.so
%{_libdir}/libtsk_jni.la
%endif
%{_includedir}/tsk

%files static
%defattr(644,root,root,755)
%{_libdir}/libtsk.a
%{?with_java:%{_libdir}/libtsk_jni.a}

%if %{with java}
%files java
%defattr(644,root,root,755)
%{_javadir}/%{name}-%{version}.jar
%endif
%changelog
* Mon Jun 01 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sleuthkit.git;a=log;h=master

* Mon Jun 01 2020 Jan Rękorajski <baggins@pld-linux.org> 6bf7b26
- disable java, does not build without downloading stuff

* Mon Jun 01 2020 Jan Rękorajski <baggins@pld-linux.org> af6698e
- up to 4.9.0
- fix building with current libewf

* Tue Aug 06 2019 Adam Gołębiowski <adamg@pld-linux.org> e699c2a
- updated to 4.6.7

* Wed Nov 14 2018 Adam Gołębiowski <adamg@pld-linux.org> 9f2cba3
- devel, libs, static subpackages

* Wed Nov 14 2018 Adam Gołębiowski <adamg@pld-linux.org> afd8a78
- aff bcond

* Wed Nov 14 2018 Adam Gołębiowski <adamg@pld-linux.org> 84d5f8a
- java subpackage

* Sun Nov 11 2018 Adam Gołębiowski <adamg@pld-linux.org> 5ffcae2
- java todo

* Sun Nov 11 2018 Adam Gołębiowski <adamg@pld-linux.org> 00ea86f
- updated to 4.6.4

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> e93e5a6
- x32 rebuild
- release 3 (by relup.sh)

* Mon Jan 26 2015 Jan Rękorajski <baggins@pld-linux.org> 05dad11
- release 2 (by relup.sh)

* Sat Nov 05 2011 mguevara <mguevara@pld-linux.org> 2f64e1e
- up to 3.2.3-1

* Tue Jun 14 2011 Tomasz Pala <gotar@pld-linux.org> 16fbda5
- upgraded to 3.2.2

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 1dac27f
- BR: libstdc++-devel
- adapter

* Sun Jan 02 2011 Tomasz Pala <gotar@pld-linux.org> ba6b5c4
- upgraded to 3.2.0, build shared binaries with EWF support, fixed linking,
- removed libtsk.la, updated TODOs, cosmetics

* Fri Jul 16 2010 mguevara <mguevara@pld-linux.org> d9a2a84
- up to 3.1.3-1

* Fri Jul 03 2009 mguevara <mguevara@pld-linux.org> 609e357
- added --disable-afflib and --disable-ewf configure options; updated
  todo info

* Tue Jun 30 2009 mguevara <mguevara@pld-linux.org> 0617bf5
- added missing sorter dir

* Tue Jun 30 2009 mguevara <mguevara@pld-linux.org> bc13dfb
- 3.0.1-1

* Thu Oct 23 2008 mguevara <mguevara@pld-linux.org> 0566188
- 2.09-2; renamed libmagic man page to tsk_libmagic to prevent conflicts
  with libmagic-devel

* Thu Nov 15 2007 mguevara <mguevara@pld-linux.org> 7605ce7
- 2.09-1 release, added make -j1

